using System;
using Server;

namespace Server.Items
{
	[FlipableAttribute( 0x22C3, 0x22C5 )]
	public class Codex : BaseBook
	{
		[Constructable]
		public Codex() : base( 0x22C3, 40, true )
		{
		}

		[Constructable]
		public Codex( int pageCount, bool writable ) : base( 0x22C3, pageCount, writable )
		{
		}

		[Constructable]
		public Codex( string title, string author, int pageCount, bool writable ) : base( 0x22C3, title, author, pageCount, writable )
		{
		}

		public Codex( bool writable ) : base( 0x22C3, writable )
		{
		}

		public Codex( Serial serial ) : base( serial )
		{
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );
			int version = reader.ReadInt();
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );
			writer.Write( (int)0 ); // version
		}
	}
}
